summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2013-05-12 22:08:21 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-05-12 22:08:21 -0300
commitf6dcb81c56730f00d103640aedb8117d59240dbc (patch)
tree5da8d073ac2c1597d8e1fdeca39b5586f37f1ac1
parentd81026585f4b0bce141c563928f404e986f19a45 (diff)
downloadslackbuilds-f6dcb81c56730f00d103640aedb8117d59240dbc.tar.gz
slackbuilds-f6dcb81c56730f00d103640aedb8117d59240dbc.tar.xz
libraries/OpenCSG: Added (CSG rendering library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/OpenCSG/OpenCSG.SlackBuild105
-rw-r--r--libraries/OpenCSG/OpenCSG.info10
-rw-r--r--libraries/OpenCSG/README7
-rw-r--r--libraries/OpenCSG/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/OpenCSG/OpenCSG.SlackBuild b/libraries/OpenCSG/OpenCSG.SlackBuild
new file mode 100644
index 0000000000..0ff2565017
--- /dev/null
+++ b/libraries/OpenCSG/OpenCSG.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for OpenCSG
+
+# Copyright 2013 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=OpenCSG
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Don't use the embedded glew - use Slack's.
+sed -i -e 's;../glew/include;;' src/src.pro
+
+cd src
+ qmake src.pro
+ make \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+cd -
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
+strip --strip-unneeded lib/libopencsg.so.$VERSION
+cp -a lib/libopencsg.so.$VERSION $PKG/usr/lib$LIBDIRSUFFIX
+cd $PKG/usr/lib$LIBDIRSUFFIX
+ ln -s libopencsg.so.$VERSION libopencsg.so.$(echo $VERSION | cut -f1-2 -d.)
+ ln -s libopencsg.so.$VERSION libopencsg.so.$(echo $VERSION | cut -f1 -d.)
+ ln -s libopencsg.so.$VERSION libopencsg.so
+cd -
+
+mkdir -p $PKG/usr/include
+cp -a include/opencsg.h $PKG/usr/include
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ build.txt changelog.txt license.txt version.txt \
+ index.html news.html publications.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/OpenCSG/OpenCSG.info b/libraries/OpenCSG/OpenCSG.info
new file mode 100644
index 0000000000..021199f8d7
--- /dev/null
+++ b/libraries/OpenCSG/OpenCSG.info
@@ -0,0 +1,10 @@
+PRGNAM="OpenCSG"
+VERSION="1.3.2"
+HOMEPAGE="http://www.opencsg.org/"
+DOWNLOAD="http://www.opencsg.org/OpenCSG-1.3.2.tar.gz"
+MD5SUM="ba1a81afef8076d335214ed7ef065ab7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/libraries/OpenCSG/README b/libraries/OpenCSG/README
new file mode 100644
index 0000000000..e3e6e4d20d
--- /dev/null
+++ b/libraries/OpenCSG/README
@@ -0,0 +1,7 @@
+OpenCSG is a library that does image-based Constructive Solid Geometry
+rendering using OpenGL.
+
+To run OpenCSG well, you should have graphics hardware with a good fill
+rate. NVidia GeForce and ATI Radeon qualify. The OpenCSG::OcclusionQuery
+option requires occlusion queries, which are available since Radeon 9x00
+(x>=5) and GeForce3 (but not GeForce4MX).
diff --git a/libraries/OpenCSG/slack-desc b/libraries/OpenCSG/slack-desc
new file mode 100644
index 0000000000..b93298a7f2
--- /dev/null
+++ b/libraries/OpenCSG/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenCSG: OpenCSG (Constructive Solid Geometry rendering library)
+OpenCSG:
+OpenCSG: OpenCSG is a library that does image-based Constructive Solid Geometry
+OpenCSG: rendering using OpenGL.
+OpenCSG:
+OpenCSG: Homepage: http://www.opencsg.org/
+OpenCSG:
+OpenCSG:
+OpenCSG:
+OpenCSG:
+OpenCSG: